<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" >
<meta http-equiv="Content-type" content="text/html; charset=UTF-8" />
<head>
    <title>Handle User Data</title>
</head>
<style type="text/css">
        body
        {
            background-color: #ffff66;
            color:   #000066;         
        }
        form
        {
            width: 400px;
            background-color: #000066;
            color: #ffff66;
            padding: 1em;
        }
        div
        {
            width: 350px;
            background-color: #000066;
            color: #ffff66;
            padding-top:0.25em;
            text-align: right;
            vertical-align:bottom;
        }
        label
        {

        }
        input[type=text]
        {
            width: 200px;
        }
        input[type=submit]
        {
            background-color:#ffff66;
            color:   #000066;
        }
</style>
<body>
<?php

	$userFirstName = strip_tags(trim("{$_POST['firstName']}")); 
	//trim eliminates white space
	//strip_tags takes out any tags like HTML 
	
	
	//REMEMBER: PHP variables begin with $
	$userLastName = "{$_POST['lastName']}"; 
	$userEmail = "{$_POST['email']}";
	$userAgree = "{$_POST['agree']}";
	$userLevel = "{$_POST['level']}";
	
	$userBack="";
	for($i=0;$i<3;$i++)
	{
	   $index = "background".$i;
	   //IN PHP STRING CONCATENATION USES A DOT .
	   if("{$_POST[$index]}"!="")
	   {
		  if($userBack!="")
		  {
		      $userBack .= ", "."{$_POST[$index]}";
		  }
		  else
		  {
		     $userBack .= "{$_POST[$index]}";		
		  }
	   }
	}
	
?>
<h1>Welcome to the validation page</h1>
<p>
The purpose of this page is to obtain data from a user and validate it. 
</p>
<?php
if(!preg_match("/^[a-zA-Z]+$/",$userFirstName))
{
	print "<p><b>You did not supply a proper first name return to the form.</b></p>";
}
else
{ 
	print "<p>The user's first name is $userFirstName </p>";
}
?>
<p>
The user's last name is <?php print $userLastName ?>
</p>
<?php
/*
email regular expression from http://regexlib.com/Search.aspx?k=email
It verifies that: - Only letters, numbers and email acceptable symbols (+, _, -, .) 
are allowed - No two different symbols may follow each other - Cannot begin with a 
symbol - Ending domain must be at least 2 letters - Supports subdomains - TLD must 
be between 2 and 6 letters (Ex: .ca, .museum) - Only (-) and (.) symbols are allowed 
in domain, but not consecutively. Problems: See comments below 

Matches g_s+gav@com.com | gav@gav.com | jim@jim.c.dc.ca 
Non-Matches gs_.gs@com.com | gav@gav.c | jim@--c.ca 

Author Rating:  Gavin Sharp  

*/
if(!preg_match("/^(([A-Za-z0-9]+_+)|([A-Za-z0-9]+\-+)|([A-Za-z0-9]+\.+)|([A-Za-z0-9]+\++))*[A-Za-z0-9]+@((\w+\-+)|(\w+\.))*\w{1,63}\.[a-zA-Z]{2,6}$/",$userEmail))
{
	print "<p><b>You did not supply a proper email return to the form.</b></p>";
}
else
{ 
	print "<p>The user's first name is $userEmail </p>";
}
?>
<p>
The user's level is  <?php print $userLevel ?>
</p>
<p>
The user's background is  <?php print $userBack ?>
</p>
<?php
if($userAgree=="")
{
	print "<p>You did not select a radio button.</p>";
}
else
{
	print "<p>The user clicked  $userAgree </p>";
}
?>
</body>
</html>
